FBGS(1)

NAME
fbgs - Poor man's PostScript/pdf viewer for the linux framebuffer console.

SYNOPSIS
fbgs [-l|-xl|-xxl|-r n] [-c] [-b] [-p password] [--fp number] [--lp number] [fbi options] file

DESCRIPTION
Fbgs is a simple wrapper script which takes a PostScript (PS) or Portable Document Format (PDF) file as input, renders the pages using gs(1) - GhostScript - into a temporary directory and finally calls fbi(1) to display them.

OPTIONS
Fbgs understands all fbi(1) options (they are passed through), except: store, list, text, (no)comments, e, (no)edit, (no)backup, (no)preserve, (no)readahead, cachemem, blend.

Additionally you can specify:

-h, --help
    Print usage info (overwrites fbi option).

-b, --bell
    Emit a beep when the document is ready.

-c, --color
    To render the pages in color (default is N&B).

-l  To get the pages rendered with 100 dpi (default is 75).

-xl To get the pages rendered with 120 dpi.

-xxl
    To get the pages rendered with 150 dpi.

-r n, --resolution n
    To get the pages rendered with n dpi (overwrites fbi option).

-fp number, --firstpage number
    Begins interpreting on the designated page of the document.

-lp number, --lastpage number
    Stops interpreting after the designated page of the document.

-p password, --password password
    You can use this option if your PDF file requires a password.

SEE ALSO
fbi(1), gs(1)

AUTHOR
Gerd Hoffmann <gerd@kraxel.org>

COPYRIGHT
Copyright (c) 1999-2012 Gerd Hoffmann <gerd@kraxel.org>

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.